Drupal Quiz modul script beszúrás sérülékenységek

CH azonosító

CH-5938

Angol cím

Drupal Quiz Module Multiple Script Insertion Vulnerabilities

Felfedezés dátuma

2011.11.09.

Súlyosság

Alacsony

Érintett rendszerek

Drupal
Quiz module

Érintett verziók

Drupal Quiz module 6.x

Összefoglaló

A Drupal Quiz moduljának olyan sérülékenységei váltak ismertté, amelyeket a rosszindulatú felhasználók kihasználhatnak script beszúrás támadások kezdeményezésére.

Leírás

Bizonyos nem részletezett bemenet a kérdéssorok létrehozásakor nincs megfelelően ellenőrizve, mielőtt felhasználásra kerülne. Ez kihasználható tetszőleges HTML és script kód beszúrására, amely az érintett oldal felhasználói böngésző munkamenetében kerül lefuttatásra a rosszindulatú adat megtekintésekor.

A sérülékenység sikeres kihasználásához a kérdéssorok létrehozásához vagy szerkesztéséhez szükséges jogosultságok kellenek.

A sérülékenységeket a 6.x-4.3. előtti verziókban ismerték fel.

Megoldás

Frissítsen a legújabb verzióra